package com.zanxiang.game.data.serve.service.impl;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.zanxiang.erp.security.util.SecurityUtil;
import com.zanxiang.game.data.serve.pojo.dto.GamePromoteDTO;
import com.zanxiang.game.data.serve.pojo.entity.PromoteAgentStatDay;
import com.zanxiang.game.data.serve.dao.mapper.PromoteAgentStatDayMapper;
import com.zanxiang.game.data.serve.pojo.vo.GamePromoteVO;
import com.zanxiang.game.data.serve.service.IPromoteAgentStatDayService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;

/**
 * <p>
 * 游戏推广渠道日报表 服务实现类
 * </p>
 *
 * @author auto
 * @since 2023-01-04
 */
@Service
public class PromoteAgentStatDayServiceImpl extends ServiceImpl<PromoteAgentStatDayMapper, PromoteAgentStatDay> implements IPromoteAgentStatDayService {

    @Override
    public IPage<GamePromoteVO> getDayData(GamePromoteDTO dto) {
        Long sysUserId = SecurityUtil.isAdmin() ? null : SecurityUtil.getUserId();
        sysUserId = null == dto.getSysUserId() ? sysUserId : dto.getSysUserId();
        dto.setSysUserId(sysUserId);
        IPage<GamePromoteVO> page = getBaseMapper().getDayDate(dto.toPage(),dto);
        return page;
    }
}
